> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location Group

> Returns a specific location group identified by groupId. Includes locations, members, and location metadata.



## OpenAPI

````yaml GET /api/v1/mgt/workspaces/{workspaceId}/location-groups/{groupId}
openapi: 3.1.0
info:
  title: Xenia Team API - Get Location Group By ID
  description: >-
    Fetch a specific location group by ID from a workspace. Includes associated
    locations and their details.
  version: 1.0.0
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/location-groups/{groupId}:
    get:
      tags:
        - Location Groups
      summary: Get Location Group By ID
      description: >-
        Returns a specific location group identified by groupId. Includes
        locations, members, and location metadata.
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: UUID of the workspace.
        - name: groupId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: UUID of the location group to retrieve.
      responses:
        '200':
          description: Location group retrieved successfully.
          content:
            application/json:
              example:
                data:
                  id: 6d94241f-46cf-405b-a781-37facbfcce9c
                  WorkspaceId: cb363f7e-c52a-4478-911d-f6a6f791090e
                  name: location test group - edit
                  description: location test group name
                  CreatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                  UpdatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                  createdAt: '2025-06-23T07:34:26.175Z'
                  updatedAt: '2025-06-23T09:15:01.746Z'
                  Creator:
                    id: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                    firstName: Admin
                    lastName: (Karachi)
                  LocationGroupLocations:
                    - id: 1ab1ce59-c304-40b6-b472-29844f71fd0c
                      WorkspaceId: cb363f7e-c52a-4478-911d-f6a6f791090e
                      LocationId: a13ddb59-3e5c-4bdd-8673-fc913b93b9db
                      LocationGroupId: 6d94241f-46cf-405b-a781-37facbfcce9c
                      CreatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                      UpdatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                      createdAt: '2025-06-23T07:34:26.183Z'
                      updatedAt: '2025-06-23T07:34:26.183Z'
                      deletedAt: null
                      Location:
                        id: a13ddb59-3e5c-4bdd-8673-fc913b93b9db
                        HotelId: cb363f7e-c52a-4478-911d-f6a6f791090e
                        name: No time
                        description: ''
                        avatar:
                          color: '#C5CAE9'
                        LevelId: d2518ebe-c546-4404-adb6-8598906ffd77
                        slugCode: no-time
                        isQREnable: true
                        locationNumber: 167
                        attachments: []
                        timezone: America/Los_Angeles
                        address: Los Angeles, CA
                        createdAt: '2024-12-23T08:34:31.104Z'
                        updatedAt: '2025-06-16T11:19:30.669Z'
                        Members: []
                        Level:
                          id: d2518ebe-c546-4404-adb6-8598906ffd77
                          title: Country
                          isSite: false
                        Sublocations: []
                meta: {}
        '400':
          description: Bad Request - Invalid workspace or group ID format.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to access location group.
        '404':
          description: Not Found - Location group does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````